%define name 	launchy
%define version 2.5
%define release %mkrel 1

Summary: 	Small Qt4 laucher
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPLv2
Group:	        Graphical desktop/KDE4
URL:		http://www.launchy.net/index.html
Source0: 	http://dfn.dl.sourceforge.net/sourceforge/launchy/%{name}-%{version}.tar.xz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: make autoconf automake gcc gcc-c++
BuildRequires: libqt4-devel boost-devel
Requires: 	task-qt4

%description
Launchy is a free windows and linux utility designed to help
you forget about your start menu, the icons on your desktop,
and even your file manager.

Launchy indexes the programs in your start menu and can
launch your documents, project files, folders, and bookmarks
with just a few keystrokes!


%prep
%setup -q

%build
QTDIR="%{qt4dir}" ; export QTDIR
PATH="%{qt4bin}:$PATH" ; export PATH

qmake -r Launchy.pro
make

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}/%{_bindir}
install -m 755 release/%name %{buildroot}/%{_bindir}

mkdir -p %{buildroot}/%{_libdir}/launchy/plugins
cp -f release/plugins/*  %{buildroot}/%{_libdir}/launchy/plugins

mkdir -p %{buildroot}/%{_libdir}/launchy/plugins/icons
cp -f plugins/verby/*.png %{buildroot}/%{_libdir}/launchy/plugins/icons

mkdir -p  %{buildroot}/%{_datadir}/launchy/skins

mkdir -p  %{buildroot}/%{_datadir}/launchy/skins/Black_Glass
cp -f skins/Black_Glass/* %{buildroot}/%{_datadir}/launchy/skins/Black_Glass

mkdir -p  %{buildroot}/%{_datadir}/launchy/skins/Black_Glass_Wide
cp -f skins/Black_Glass_Wide/* %{buildroot}/%{_datadir}/launchy/skins/Black_Glass_Wide

mkdir -p  %{buildroot}/%{_datadir}/launchy/skins/Default
cp -f skins/Default/* %{buildroot}/%{_datadir}/launchy/skins/Default

mkdir -p  %{buildroot}/%{_datadir}/launchy/skins/Mercury
cp -f skins/Mercury/* %{buildroot}/%{_datadir}/launchy/skins/Mercury

mkdir -p  %{buildroot}/%{_datadir}/launchy/skins/
cp -f skins/Mercury_Wide/* %{buildroot}/%{_datadir}/launchy/skins

mkdir -p  %{buildroot}/%{_datadir}/launchy/skins/Note
cp -f skins/Note/* %{buildroot}/%{_datadir}/launchy/skins/Note

mkdir -p  %{buildroot}/%{_datadir}/launchy/skins/QuickSilver2
cp -f skins/QuickSilver2/* %{buildroot}/%{_datadir}/launchy/skins/QuickSilver2

mkdir -p  %{buildroot}/%{_datadir}/launchy/skins/Simple 
cp -f skins/Simple/* %{buildroot}/%{_datadir}/launchy/skins/Simple 

mkdir -p  %{buildroot}/%{_datadir}/launchy/skins/Spotlight_Wide
cp -f skins/Spotlight_Wide/* %{buildroot}/%{_datadir}/launchy/skins/Spotlight_Wide

mkdir -p %{buildroot}/%{_datadir}/pixmaps
cp -f misc/Launchy_Icon/launchy_icon.png %{buildroot}/%{_datadir}/pixmaps/launchy.png


mkdir -p %buildroot%{_datadir}/applications
cat > %buildroot%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Categories=GTK;X-MandrivaLinux-System-Configuration;Settings;
Comment=Keystroke Launcher
Exec=launchy
Icon=/usr/share/pixmaps/launchy.png
Name=Launchy
Path=/usr/lib/launchy
StartupNotify=true
Terminal=false
Type=Application
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_datadir}/applications/%{name}.desktop
%{_bindir}/%name
%{_libdir}/launchy/plugins/*
%{_datadir}/launchy/skins
%{_datadir}/pixmaps

%changelog
* Tue Jun 15 2010 Texstar <texstar at gmail.com> 2.5-1pclos2010
- update for 2010 release

* Sat Apr 11 2009 slick50 <lxgator@gmail.com> 2.1.2-1pclos2007
- inital pkg
